{
  "meta": {
    "restrictions": [
      {
        "resUri": "/capability/switch/main/0",
        "property": "power",
        "type": 1,
        "value": "on,off"
      }
    ],
    "resDesc": [
      {
        "resUri": "/capability/switch/main/0",
        "name": "WWST Power Switch",
        "desc": "Turn on and off a device\n"
      }
    ],
    "propDesc": [
      {
        "resUri": "/capability/switch/main/0",
        "property": "power",
        "desc": "State of the power switch."
      }
    ]
  },
  "device": [
    {
      "specification": {
        "device": {
          "deviceType": "x.wwst.d.basic",
          "deviceName": "Basic",
          "specVersion": "core.1.1.0",
          "dataModelVersion": "res.1.1.0"
        },
        "platform": {
          "manufacturerName": "",
          "manufacturerUrl": "http://www.samsung.com/sec/",
          "manufacturingDate": "2017-11-29",
          "modelNumber": "NWSP-01",
          "platformVersion": "1.0",
          "osVersion": "1.0",
          "hardwareVersion": "1.0",
          "firmwareVersion": "1.0",
          "vendorId": ""
        }
      },
      "resources": {
        "single": [
          {
            "uri": "/capability/switch/main/0",
            "types": [
              "x.com.st.powerswitch"
            ],
            "interfaces": [
              "oic.if.a"
            ],
            "policy": 3
          }
        ]
      }
    }
  ],
  "resourceTypes": [
    {
      "type": "x.com.st.powerswitch",
      "properties": [
        {
          "key": "power",
          "type": 3,
          "mandatory": true,
          "rw": 3
        }
      ]
    }
  ],
  "configuration": {
    "easySetup": {
      "connectivity": {
        "type": 1,
        "softAP": {
          "setupId": "001",
          "artik": false
        }
      },
      "ownershipTransferMethod": 2
    },
    "wifi": {
      "interfaces": 15,
      "frequency": 1
    },
    "filePath": {
      "svrdb": "/mnt/artikserversecured.dat",
      "provisioning": "/mnt/provisioning.dat",
      "certificate": "/rom/certificate",
      "privateKey": "/rom/privatekey"
    }
  }
}
